Loading...
Searching...
No Matches
_PedTimer Struct Reference
PedTimer

`#include <timer.h>`

## Data Fields

void * | context
| context to pass to handler
float | frac
| fraction of operation done
PedTimerHandler * | handler
| who to notify on updates
time_t | now
| time of last update (now!)
time_t | predicted_end
| expected finish time
time_t | start
| time of start of op
const char * | state_name
| eg: "copying data"

## Field Documentation

## context

void * _PedTimer::context

context to pass to handler

## frac

float _PedTimer::frac

fraction of operation done

## handler

PedTimerHandler * _PedTimer::handler

who to notify on updates

## now

time_t _PedTimer::now

time of last update (now!)

## predicted_end

time_t _PedTimer::predicted_end

expected finish time

## start

time_t _PedTimer::start

time of start of op

## state_name

const char * _PedTimer::state_name

eg: "copying data"

The documentation for this struct was generated from the following files:

- include/parted/timer.h
- include/parted/timer.in.h